com.hazelcast.com.fasterxml.jackson.core

## Class Version

- java.lang.Object
- - com.hazelcast.com.fasterxml.jackson.core.Version

- All Implemented Interfaces:
    Serializable, Comparable<Version>

      public class Version
      extends Object
      implements Comparable<Version>, Serializable

  Object that encapsulates versioning information of a component. Version information includes not just version number but also optionally group and artifact ids of the component being versioned.

  Note that optional group and artifact id properties are new with Jackson 2.0: if provided, they should align with Maven artifact information.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_artifactId`
    `protected String` | `_groupId`
    `protected int` | `_majorVersion`
    `protected int` | `_minorVersion`
    `protected int` | `_patchLevel`
    `protected String` | `_snapshotInfo` Additional information for snapshot versions; null for non-snapshot (release) versions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(int major, int minor, int patchLevel, String snapshotInfo)` Deprecated. Use variant that takes group and artifact ids
    `Version(int major, int minor, int patchLevel, String snapshotInfo, String groupId, String artifactId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Version other)`
    `boolean` | `equals(Object o)`
    `String` | `getArtifactId()`
    `String` | `getGroupId()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `int` | `getPatchLevel()`
    `int` | `hashCode()`
    `boolean` | `isSnapshot()`
    `boolean` | `isUknownVersion()` Deprecated. Since 2.7 use correctly spelled method `isUnknownVersion()`
    `boolean` | `isUnknownVersion()`
    `String` | `toFullString()`
    `String` | `toString()`
    `static Version` | `unknownVersion()` Method returns canonical "not known" version, which is used as version in cases where actual version information is not known (instead of null).

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _majorVersion

          protected final int _majorVersion

    - #### _minorVersion

          protected final int _minorVersion

    - #### _patchLevel

          protected final int _patchLevel

    - #### _groupId

          protected final String _groupId

    - #### _artifactId

          protected final String _artifactId

    - #### _snapshotInfo

          protected final String _snapshotInfo

      Additional information for snapshot versions; null for non-snapshot (release) versions.

  - ### Constructor Detail

    - #### Version

          @Deprecated
          public Version(int major,
                                     int minor,
                                     int patchLevel,
                                     String snapshotInfo)

      Deprecated. Use variant that takes group and artifact ids
      Since:
        2.1

    - #### Version

          public Version(int major,
                         int minor,
                         int patchLevel,
                         String snapshotInfo,
                         String groupId,
                         String artifactId)

  - ### Method Detail

    - #### unknownVersion

          public static Version unknownVersion()

      Method returns canonical "not known" version, which is used as version in cases where actual version information is not known (instead of null).

    - #### isUnknownVersion

          public boolean isUnknownVersion()

      Since:
        2.7 to replace misspelled `isUknownVersion()`

    - #### isSnapshot

          public boolean isSnapshot()

    - #### isUknownVersion

          @Deprecated
          public boolean isUknownVersion()

      Deprecated. Since 2.7 use correctly spelled method `isUnknownVersion()`

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### getPatchLevel

          public int getPatchLevel()

    - #### getGroupId

          public String getGroupId()

    - #### getArtifactId

          public String getArtifactId()

    - #### toFullString

          public String toFullString()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(Version other)

      Specified by:
        `compareTo` in interface `Comparable<Version>`

Copyright © 2020. All rights reserved.